Package ru.bitel.bgbilling.kernel.script.server.dev

# Class GlobalScriptBase

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.kernel.script.server.dev.GlobalScriptBase

All Implemented Interfaces:
  `GlobalScript`

public abstract class GlobalScriptBase extends ru.bitel.bgbilling.kernel.base.server.logger.BGLogger implements GlobalScript
Реализация глобального скрипта.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GlobalScriptBase()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `error(Object message)`
  `PrintStream`
  `getErrorStream()`
  `PrintStream`
  `getOutputStream()`
  `ParameterMap`
  `getParams()`
  Дополнительные параметры скрипта.
  `protected void`
  `print(Object message)`
  `void`
  `setErrorStream(PrintStream err)`
  `void`
  `setOutputStream(PrintStream out)`
  `void`
  `setParams(ParameterMap params)`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.bgbilling.kernel.script.server.dev.GlobalScript

  `execute`

- ## Constructor Details

  - ### GlobalScriptBase

    public GlobalScriptBase()

- ## Method Details

  - ### setOutputStream

    public void setOutputStream(PrintStream out)

  - ### getOutputStream

    public PrintStream getOutputStream()

  - ### setErrorStream

    public void setErrorStream(PrintStream err)

  - ### getErrorStream

    public PrintStream getErrorStream()

  - ### print

    protected void print(Object message)

  - ### error

    protected void error(Object message)

  - ### getParams

    public ParameterMap getParams()
    Дополнительные параметры скрипта. Например, сюда попадают все параметры из конфига задачи выполнения глобальных скриптов по таймеру. При запуске из командной строки класса реализующего интерфейс GlobalScript попадают параметры переданные.

  - ### setParams

    public void setParams(ParameterMap params)